Distribution:	CCux
Packager:	Christian Wasem <wasem@cux-linux.de>

Summary:	Library for working with files using the mp4 container format
Name:		libmp4v2
Version:	1.9.1
Release:	1
License:	MPLv1.1
Group:		Multimedia/Audio
URL:		http://resare.com/libmp4v2/
Source0:	http://resare.com/libmp4v2/dist/mp4v2-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel

%description
The libmp4v2 library provides an abstraction layer for working with files
using the mp4 container format. This library is developed by mpeg4ip project
and is an exact copy of the library distributed in the mpeg4ip package.

%package	devel
Summary:	Development files for the mp4v2 library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Development files and documentation needed to develop and compile programs
using the libmp4v2 library.

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%prep
%setup -qn mp4v2-%{version}

%build
%configure \
--disable-dependency-tracking
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/mp4art
%{_bindir}/mp4chaps
%{_bindir}/mp4extract
%{_bindir}/mp4file
%{_bindir}/mp4info
%{_bindir}/mp4subtitle
%{_bindir}/mp4tags
%{_bindir}/mp4track
%{_bindir}/mp4trackdump
%{_libdir}/libmp4v2.so.*
%{_mandir}/man1/mp4art.1.gz
%{_mandir}/man1/mp4file.1.gz
%{_mandir}/man1/mp4subtitle.1.gz
%{_mandir}/man1/mp4track.1.gz

%files devel
%defattr(-,root,root,-)
%doc README 
%{_includedir}/mp4v2
%{_libdir}/libmp4v2.a
%{_libdir}/libmp4v2.la
%{_libdir}/libmp4v2.so

%changelog
* Sun Oct 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.9.1-1
- Version update
* Tue Jul 15 2008 Christian Wasem <wasem@ccux-linux.de> 1.5.0.1-1
- Initial release
